Redmine - Defect #1095

Homepage length limit for Projects
2008-04-23 14:55 - Nirbheek Chauhan

Status: Closed Start date: 2008-04-23
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8

Resolution: Affected version:

Description

There seems to be a URL length limit for the Homepage of a project. The only reason | can think of for such a limit is that it might
overflow around the page and play bad with the layout. But this puts an unreasonable restriction on the URLs which can be linked to.
For instance, Google Summer of Code application urls are too long to be included (example)

The solution for this is, of course, to not use

Homepage: http://somewebsite.com/

and instead use

Homepage

Related issues:
Is duplicate of Redmine - Defect #663: homepage link in project settings is t... Closed 2008-02-14

Associated revisions

Revision 1457 - 2008-05-25 15:37 - Jean-Philippe Lang
Change projects homepage limit to 255 chars (#663, #1095).

History

#1 - 2008-04-23 15:15 - Thomas Lecavelier
Marked as duplicated from #663.

| propose an helper that auto-truncat displayed URL to 60 chars (replacing center path with ...) and giving the full URL in the link tool-tip.

| propose to raise the database field limitation to 256 chars.
#2 - 2008-04-23 18:50 - Jean-Philippe Lang
| think this homepage field could be removed or at least moved to a custom field via a migration.

As you said, the url can be entered in the project description, with wiki formatting as well.
What do you think ?

#3 - 2008-04-23 19:53 - Eric Davis

I think this homepage field could be removed or at least moved to a custom field via a migration. As you said, the url can be entered in the
project description, with wiki formatting as well.

+1 | have a customer requesting me to extend the db column size because their url is 64 characters. | would prefer to have homepage removed
completely from Project. The description can be used or a custom data field.

#4 - 2008-05-07 02:38 - Eric Davis
- File extend-project-homepage-length.patch added

Attaching patch to extend the project homepage to 254 characters. Other option of removing homepage entirely would also be nice.

#5 - 2008-05-25 15:35 - Jean-Philippe Lang
http://code.google.com/soc/2008/gentoo/appinfo.html?csaid=4718E0E515B5040C
http://somewebsite.com/
http://somewebsite.com/
https://www.redmine.org/issues/663

- Status changed from New to Closed

Fixed in r1457 (migration required). Limit is now 255 chars.

#6 - 2008-05-29 19:59 - Jean-Philippe Lang

- Target version set to 0.8

#7 - 2008-06-05 17:53 - James Byrne

Question: How does one get this patch applied to the current version (0.7.1)? We have installed redmine using svn and svn update brings us to r1492

but that does not include this fix.

#8 - 2008-06-05 18:02 - James Byrne
Never mind. | applied the changes by hand.

Files

extend-project-homepage-length.patch 1.7 KB 2008-05-07 Eric Davis
